Package org.apache.solr.client.solrj.request.beans

## Class DeleteReplicaPropertyPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.DeleteReplicaPropertyPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`

    public class DeleteReplicaPropertyPayload
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `property`
`String` `replica`
`String` `shard`

### Constructor Summary

Constructors
`DeleteReplicaPropertyPayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### shard

    public String shard

#### replica

    public String replica

#### property

    public String property

### Constructor Detail

#### DeleteReplicaPropertyPayload

    public DeleteReplicaPropertyPayload()